import { StreamParser } from '@codemirror/language';

interface HtmlState {
    tokenize: Function;
    state: Function;
    indented: number;
    tagName: null;
    tagStart: null;
    context: null;
}
interface MarkdocState {
    states: string[];
    indent: number;
    quoteKind: any;
    htmlState: HtmlState;
}
/** Markdoc - CodeMirror V5 (legacy) Language Mode
 * which is compatable with v6 adapter
 * @example
 * ```js
 * import { StreamLanguage } from '@codemirror/language';
 * new CodeMirror({
 *    extensions: [
 *      StreamLanguage.define(markdocLegacy)
 *    ]
 * })
 * ```
 */
export declare const markdoc: StreamParser<MarkdocState>;
export {};
