import { LiquidCompletionConfig } from './liquid-completion-patch';
import { Config } from '@markdoc/markdoc';
import { LanguageSupport } from '@codemirror/language';

/**
 * markcode CodeMirror Language Support extends from liquid which remove unused programming keyword (eg. if else loop)
 * @example
 * ```js
 *  new CodeMirror({
 *    lang: [
 *      markdoc(config)
 *    ]
 * })
 * ```
 *
 * ## limitation
 * can not use `{% if %}` `{% else /%}` `{% /if %}` because liquid syntax id endwhite `{% endif %}`
 */
export declare const markdoc: ({ markdoc: markdocConfig, completion: liquidCompletion, }?: {
    markdoc?: Config;
    completion?: LiquidCompletionConfig;
}) => LanguageSupport;
