import { LanguageSupport } from "@codemirror/language";
import { markdocLinterExtension } from "./markdoc-linter-extension.mjs";
import { html } from "@codemirror/lang-html";
import { liquid, closePercentBrace } from "@codemirror/lang-liquid";
import { liquidCompletionSource } from "./liquid-completion-patch.mjs";
const markdoc = ({
  markdoc: markdocConfig = {},
  completion: liquidCompletion = {}
} = {}) => {
  let base = html();
  let liqu = liquid({ base });
  let lang = liqu.language;
  return new LanguageSupport(lang, [
    lang.data.of({
      autocomplete: liquidCompletionSource({
        tags: [
          ...liquidCompletion.tags ?? [],
          ...Object.keys(markdocConfig.tags ?? {}).map((s) => ({ label: s }))
        ],
        variables: [
          ...liquidCompletion.variables ?? [],
          ...Object.keys(markdocConfig.variables ?? {}).map((s) => ({
            label: s
          }))
        ],
        filters: liquidCompletion.filters,
        // no filter in markdoc
        properties: liquidCompletion.properties
      })
    }),
    base.language.data.of({ closeBrackets: { brackets: ["{"] } }),
    closePercentBrace,
    markdocLinterExtension(markdocConfig)
  ]);
};
export {
  markdoc
};
