import { Config as MarkdocConfig } from '@markdoc/markdoc';
import { linter } from '@codemirror/lint';

type LintConfig = NonNullable<Parameters<typeof linter>[1]>;
/** Show Markdoc Error in CodeMirror tooltip
 * @example
 * ```js
 * import { StreamLanguage } from '@codemirror/language';
 * import { markdocLegacy } from './markdoc-legacy';
 * new CodeMirror({
 *    extensions: [
 *      StreamLanguage.define(markdocLegacy),
 *      markdocLinter(markdocConfig)
 *    ]
 * })
 * ```
 */
export declare const markdocLinterExtension: (markdocConfig: MarkdocConfig, lintConfig?: LintConfig) => import('@codemirror/state').Extension;
export {};
